## nordugrid-arc 6.4.1

=== debian/changelog ===
nordugrid-arc (6.4.1-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:51:44 +0100

nordugrid-arc (6.4.1-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 05:42:28 +0000

nordugrid-arc (6.4.1-1) unstable; urgency=medium

  * 6.4.1 Release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 02 Dec 2019 16:18:39 +0100

nordugrid-arc (6.4.0-1) unstable; urgency=medium

  * 6.4.0 Release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 18 Nov 2019 14:23:34 +0100

nordugrid-arc (6.3.0-2) unstable; urgency=medium

  * Correct typo in debian/rules (extra minus sign)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 21 Oct 2019 11:04:02 +0200

nordugrid-arc (6.3.0-1) unstable; urgency=medium

  * 6.3.0 Release
  * Drop patches accepted upstream
  * Install init.d script in addition to systemd units

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 17 Oct 2019 11:48:45 +0200

nordugrid-arc (6.2.0-2) unstable; urgency=medium

  * Only use systemd notifications on Linux
  * Add Replaces+Breaks arex → aris (Closes: #940492)
  * Fix problem with pickled configuration in Python LRMS backends

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 15 Sep 2019 14:51:03 +0200

nordugrid-arc (6.2.0-1) unstable; urgency=medium

  * 6.2.0 Release
  * Build using Python 3 (Closes: #937152)
  * (Build-)Depends: libinline-python-perl (>= 0.56-2~) for Python 3 support
  * Enable gfal plugin
  * Use systemd for managing services
  * Change to debhelper compat level 11 for improved systemd support

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 09 Sep 2019 20:57:23 +0200

nordugrid-arc (5.4.4-4) unstable; urgency=medium

  * Reduce memory usage during compilation of Pyhton bindings on mipsel

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 07 Sep 2019 21:35:05 +0200

nordugrid-arc (5.4.4-3) unstable; urgency=medium

  * Convert debian/rules to dh tool
  * Change to debhelper compat level 10

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 03 Sep 2019 13:16:23 +0200
