=== debian/control ===
Source: nordugrid-arc
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Uploaders: Anders Waananen <waananen@nbi.dk>
Build-Depends:
 debhelper (>= 11),
 dh-python,
 libxml2-dev (>= 2.4.0),
 libssl-dev,
 libglibmm-2.4-dev,
 libltdl-dev,
 libldap2-dev,
 uuid-dev,
 libcppunit-dev,
 pkg-config,
 libdb++-dev,
 libxmlsec1-dev (>= 1.2.4),
 libglobus-common-dev,
 libglobus-gssapi-gsi-dev,
 libglobus-ftp-client-dev,
 libglobus-ftp-control-dev,
 libgfal2-dev,
 openssl,
 swig,
 libnss3-dev,
 pylint,
 libjson-xs-perl,
 libxml-simple-perl,
 libdbi-perl,
 libsqlite3-dev (>= 3.6),
 libldns-dev,
 libsystemd-dev [linux-any],
 libinline-python-perl (>= 0.56-2~),
 python3-dev,
 python3-twisted,
 python3-openssl
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/ellert/nordugrid-arc
Vcs-Git: https://salsa.debian.org/ellert/nordugrid-arc.git
Homepage: http://www.nordugrid.org

Package: libarccommon3v5
Replaces:
 nordugrid-arc-hed (<< 1.0.1~rc2~),
 nordugrid-arc-arex (<< 2.0.1~),
 libarccommon0,
 libarccommon1,
 libarccommon2,
 libarccommon3
Conflicts:
 nordugrid-arc-chelonia (<< 2.0.0~),
 nordugrid-arc-hopi (<< 2.0.0~),
 nordugrid-arc-isis (<< 2.0.0~),
 nordugrid-arc-janitor (<< 2.0.0~),
 nordugrid-arc-doxygen (<< 4.0.0~),
 nordugrid-arc-arcproxyalt (<< 6.0.0~),
 nordugrid-arc-java (<< 6.0.0~),
 nordugrid-arc-egiis (<< 6.0.0~),
 nordugrid-arc-python (<< 6.0.0~)
Breaks:
 nordugrid-arc-hed (<< 1.0.1~rc2~),
 nordugrid-arc-arex (<< 2.0.1~),
 libarccommon0,
 libarccommon1,
 libarccommon2,
 libarccommon3
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends},
 openssl
Description: Advanced Resource Connector Middleware
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the middleware, known as the Advanced Resource
 Connector (ARC).
 .
 The ARC middleware is a software solution that uses distributed
 computing technologies to enable sharing and federation of computing
 resources across different administrative and application domains.
 ARC is used to create distributed infrastructures of various scope and
 complexity, from campus to national and global deployments.

Package: nordugrid-arc-client
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libarccommon3v5 (= ${binary:Version}),
 nordugrid-arc-plugins-needed (= ${binary:Version})
Description: ARC command line clients
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the middleware, known as the Advanced Resource
 Connector (ARC).
 .
 This client package contains all the CLI tools that are needed to
 operate with x509 proxies, submit and manage jobs and handle
 datatransfers.

Package: nordugrid-arc-hed
Replaces:
 nordugrid-arc-client (<< 1.0.1~rc2~)
Breaks:
 nordugrid-arc-client (<< 1.0.1~rc2~)
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libarccommon3v5 (= ${binary:Version})
Recommends:
 python3-nordugrid-arc (= ${binary:Version})
Description: ARC Hosting Environment Daemon
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the middleware, known as the Advanced Resource
 Connector (ARC).
 .
 The ARC Hosting Environment Daemon (HED) is a Web Service container
 for ARC services.

Package: nordugrid-arc-gridftpd
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libarccommon3v5 (= ${binary:Version}),
 nordugrid-arc-plugins-globus (= ${binary:Version})
Description: ARC GridFTP server
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the middleware, known as the Advanced Resource
 Connector (ARC).
 .
 This package contains the ARC gridftp server which can be used as a
 custom job submission interface in front of an ARC enabled computing
 cluster or as a low-level dedicated gridftp file server.

Package: nordugrid-arc-datadelivery-service
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libarccommon3v5 (= ${binary:Version}),
 nordugrid-arc-hed (= ${binary:Version}),
 nordugrid-arc-plugins-needed (= ${binary:Version})
Description: ARC data delivery service
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the middleware, known as the Advanced Resource
 Connector (ARC).
 .
 This package contains the ARC data delivery service.

Package: nordugrid-arc-infosys-ldap
Provides:
 nordugrid-arc-ldap-infosys,
 nordugrid-arc-aris
Replaces:
 nordugrid-arc-ldap-infosys (<< 6.0.0~),
 nordugrid-arc-aris (<< 6.0.0~),
 nordugrid-arc-ldap-egiis (<< 6.0.0~)
Conflicts:
 nordugrid-arc-ldap-infosys (<< 6.0.0~),
 nordugrid-arc-aris (<< 6.0.0~),
 nordugrid-arc-ldap-egiis (<< 6.0.0~)
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 slapd,
 glue-schema (>= 2.0.10),
 bdii
Description: ARC LDAP-based information services
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the middleware, known as the Advanced Resource
 Connector (ARC).
 .
 This package contains the ARC information services relying on BDII and
 LDAP technologies to publish ARC CE information according to various
 LDAP schemas. Please note that the information collectors are part of
 another package, the nordugrid-arc-arex.

Package: nordugrid-arc-monitor
Replaces:
 nordugrid-arc-ldap-monitor (<< 6.0.0~),
 nordugrid-arc-ws-monitor (<< 6.0.0~)
Conflicts:
 nordugrid-arc-ldap-monitor (<< 6.0.0~),
 nordugrid-arc-ws-monitor (<< 6.0.0~)
Architecture: all
Depends:
 ${misc:Depends},
 php-common,
 php-ldap,
 php-gd
Description: ARC LDAP monitor web application
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the middleware, known as the Advanced Resource
 Connector (ARC).
 .
 This package contains the PHP web application that is used to set up a
 web-based monitor which pulls information from the LDAP information
 system and visualizes it.

Package: nordugrid-arc-arex
Provides:
 nordugrid-arc-cache-service,
 nordugrid-arc-candypond
Replaces:
 nordugrid-arc-cache-service (<< 6.0.0~),
 nordugrid-arc-candypond (<< 6.0.0~),
 nordugrid-arc-aris (<< 6.0.0~)
Conflicts:
 nordugrid-arc-cache-service (<< 6.0.0~),
 nordugrid-arc-candypond (<< 6.0.0~)
Breaks:
 nordugrid-arc-aris (<< 6.0.0~)
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${perl:Depends},
 ${python3:Depends},
 libarccommon3v5 (= ${binary:Version}),
 nordugrid-arc-hed (= ${binary:Version}),
 nordugrid-arc-plugins-needed (= ${binary:Version}),
 libjson-xs-perl,
 libxml-simple-perl,
 python3-ldap,
 python3-isodate
Description: ARC Resource-coupled EXecution service
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the middleware, known as the Advanced Resource
 Connector (ARC).
 .
 The ARC Resource-coupled EXecution service (AREX) is the Computing
 Element of the ARC middleware. AREX offers a full-featured middle
 layer to manage computational tasks including interfacing to local
 batch systems, taking care of complex environments such as data
 staging, data caching, software environment provisioning, information
 collection and explosure, accounting information gathering and
 publishing.

Package: nordugrid-arc-arex-python-lrms
Replaces:
 nordugrid-arc-arex (<< 6.0.0~)
Breaks:
 nordugrid-arc-arex (<< 6.0.0~)
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 libinline-python-perl (>= 0.56-2~),
 nordugrid-arc-arex (= ${binary:Version}),
 python3-nordugrid-arc (= ${binary:Version})
Description: ARC Resource-coupled EXecution service - Python LRMS backends
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the middleware, known as the Advanced Resource
 Connector (ARC).
 .
 The Python LRMS backends are a new implementation of the AREX LRMS
 backend scripts written in Python. Currently only the SLURM LRMS is
 supported. It is released as a technology preview.

Package: nordugrid-arc-plugins-needed
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libarccommon3v5 (= ${binary:Version})
Description: ARC base plugins
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the middleware, known as the Advanced Resource
 Connector (ARC).
 .
 ARC base plugins. This includes the Message Chain Components (MCCs)
 and Data Manager Components (DMCs).

Package: nordugrid-arc-plugins-globus
Replaces:
 nordugrid-arc-plugins-needed (<< 1.0.1-2~)
Breaks:
 nordugrid-arc-plugins-needed (<< 1.0.1-2~)
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libarccommon3v5 (= ${binary:Version})
Description: ARC Globus plugins
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the middleware, known as the Advanced Resource
 Connector (ARC).
 .
 ARC Globus plugins. This includes the Globus dependent Data Manager
 Components (DMCs).

Package: nordugrid-arc-plugins-gfal
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libarccommon3v5 (= ${binary:Version}),
Description: ARC GFAL2 plugins
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the middleware, known as the Advanced Resource
 Connector (ARC).
 .
 ARC plugins for GFAL2. This allows third-party transfer and adds
 support for several extra transfer protocols (rfio, dcap, gsidcap).
 Support for specific protocols is provided by separate 3rd-party GFAL2
 plugin packages.

Package: nordugrid-arc-plugins-internal
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libarccommon3v5 (= ${binary:Version}),
 nordugrid-arc-arex (= ${binary:Version})
Description: ARC internal plugin
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the middleware, known as the Advanced Resource
 Connector (ARC).
 .
 The ARC internal plugin. A special interface aimed for restrictive HPC
 sites, to be used with a local installation of the ARC Control Tower.

Package: nordugrid-arc-plugins-arcrest
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libarccommon3v5 (= ${binary:Version}),
 nordugrid-arc-arex (= ${binary:Version})
Description: ARC REST plugin
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the middleware, known as the Advanced Resource
 Connector (ARC).
 .
 ARC plugin for ARC REST interface technology preview.

Package: nordugrid-arc-acix-core
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-twisted,
 python3-openssl
Description: ARC cache index - core components
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the middleware, known as the Advanced Resource
 Connector (ARC).
 .
 Core components of the ARC Cache Index (ACIX).

Package: nordugrid-arc-acix-scanner
Provides:
 nordugrid-arc-acix-cache
Replaces:
 nordugrid-arc-acix-cache (<< 6.0.0~)
Conflicts:
 nordugrid-arc-acix-cache (<< 6.0.0~)
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 libarccommon3v5 (>= ${source:Version}),
 nordugrid-arc-acix-core (= ${source:Version})
Description: ARC cache index - scanner server
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the middleware, known as the Advanced Resource
 Connector (ARC).
 .
 Cache scanner component of the ARC Cache Index (ACIX), usually
 installed alongside A-REX. This component collects information on the
 content of an A-REX cache.

Package: nordugrid-arc-acix-index
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 libarccommon3v5 (>= ${source:Version}),
 nordugrid-arc-acix-core (= ${source:Version})
Description: ARC cache index - index server
 NorduGrid is a collaboration aiming at development, maintenance and
 support of the middleware, known as the Advanced Resource
 Connector (ARC).
 .
 Index server component of the ARC Cache Index (ACIX), usually
 installed independently of any A-REX installation. This component
 pulls cache content from ACIX cache scanner servers and can be queried
