=== debian/rules ===
#!/usr/bin/make -f

# Filter out -Wl,-Bsymbolic-functions from default Ubuntu LDFLAGS
export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions

ifeq ($(DEB_HOST_ARCH_OS),linux)
SYSTEMD = yes
else
SYSTEMD = no
endif

%:
	dh $@ --with python3

override_dh_auto_configure:
	if [ ! -f po/POTFILES.in.save ] ; then \
	    cp -p po/POTFILES.in po/POTFILES.in.save ; \
	fi

	LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
	dh_auto_configure -- \
		    --disable-doc \
		    --libdir=/usr/lib \
		    --libexecdir=/usr/lib \
		    --docdir=/usr/share/doc/nordugrid-arc \
		    --enable-gfal \
		    --enable-internal \
		    --enable-systemd=$(SYSTEMD) \
		    --with-systemd-units-location=/lib/systemd/system \
		    --with-sysv-scripts-location=/etc/init.d \
		    --with-python=python3

override_dh_auto_clean:
	dh_auto_clean

	rm -f debian/nordugrid-arc-arex.arc-arex.init
	rm -f debian/nordugrid-arc-hed.arched.init
	rm -f debian/nordugrid-arc-datadelivery-service.arc-datadelivery-service.init
	rm -f debian/nordugrid-arc-gridftpd.arc-gridftpd.init
	rm -f debian/nordugrid-arc-infosys-ldap.arc-infosys-ldap.init
	rm -f debian/nordugrid-arc-acix-scanner.arc-acix-scanner.init
	rm -f debian/nordugrid-arc-acix-index.arc-acix-index.init

	rm -f debian/nordugrid-arc-arex.arc-arex.service
	rm -f debian/nordugrid-arc-hed.arched.service
	rm -f debian/nordugrid-arc-datadelivery-service.arc-datadelivery-service.service
	rm -f debian/nordugrid-arc-gridftpd.arc-gridftpd.service
	rm -f debian/nordugrid-arc-infosys-ldap.arc-infosys-ldap.service
	rm -f debian/nordugrid-arc-infosys-ldap.arc-infosys-ldap-slapd.service
	rm -f debian/nordugrid-arc-acix-scanner.arc-acix-scanner.service
	rm -f debian/nordugrid-arc-acix-index.arc-acix-index.service

	if [ -f po/POTFILES.in.save ] ; then \
	    mv po/POTFILES.in.save po/POTFILES.in ; \
	fi

	find python src -depth -name __pycache__ -exec rm -rf {} ';'
	rm -rf src/services/acix/*/test/_trial_temp
	rm -rf src/services/a-rex/infoproviders/_Inline
	rm -rf src/services/a-rex/infoproviders/test/_Inline

override_dh_auto_install:
	dh_auto_install

	find debian/tmp -name \*.la -exec rm -fv '{}' ';'

	rm -f debian/tmp/usr/lib/arc/*.a

	rm -f debian/tmp/usr/lib/libarcglobusutils.so

	mv debian/tmp/etc/init.d/arc-arex \
	   debian/nordugrid-arc-arex.arc-arex.init
	mv debian/tmp/etc/init.d/arched \
	   debian/nordugrid-arc-hed.arched.init
	mv debian/tmp/etc/init.d/arc-datadelivery-service \
	   debian/nordugrid-arc-datadelivery-service.arc-datadelivery-service.init
	mv debian/tmp/etc/init.d/arc-gridftpd \
	   debian/nordugrid-arc-gridftpd.arc-gridftpd.init
	mv debian/tmp/etc/init.d/arc-infosys-ldap \
	   debian/nordugrid-arc-infosys-ldap.arc-infosys-ldap.init
	mv debian/tmp/etc/init.d/arc-acix-scanner \
	   debian/nordugrid-arc-acix-scanner.arc-acix-scanner.init
	mv debian/tmp/etc/init.d/arc-acix-index \
	   debian/nordugrid-arc-acix-index.arc-acix-index.init

	mv debian/tmp/lib/systemd/system/arc-arex.service \
	   debian/nordugrid-arc-arex.arc-arex.service
	mv debian/tmp/lib/systemd/system/arched.service \
	   debian/nordugrid-arc-hed.arched.service
	mv debian/tmp/lib/systemd/system/arc-datadelivery-service.service \
	   debian/nordugrid-arc-datadelivery-service.arc-datadelivery-service.service
	mv debian/tmp/lib/systemd/system/arc-gridftpd.service \
	   debian/nordugrid-arc-gridftpd.arc-gridftpd.service
	mv debian/tmp/lib/systemd/system/arc-infosys-ldap.service \
	   debian/nordugrid-arc-infosys-ldap.arc-infosys-ldap.service
	mv debian/tmp/lib/systemd/system/arc-infosys-ldap-slapd.service \
	   debian/nordugrid-arc-infosys-ldap.arc-infosys-ldap-slapd.service
	mv debian/tmp/lib/systemd/system/arc-acix-scanner.service \
	   debian/nordugrid-arc-acix-scanner.arc-acix-scanner.service
	mv debian/tmp/lib/systemd/system/arc-acix-index.service \
	   debian/nordugrid-arc-acix-index.arc-acix-index.service

	chmod 4755 debian/tmp/usr/bin/arc-job-cgroup

override_dh_missing:
	dh_missing --fail-missing

override_dh_installinit:
	dh_installinit -p nordugrid-arc-hed --name arched --no-enable
	dh_installinit -p nordugrid-arc-arex --name arc-arex --no-enable
	dh_installinit -p nordugrid-arc-datadelivery-service --name arc-datadelivery-service --no-enable
	dh_installinit -p nordugrid-arc-gridftpd --name arc-gridftpd --no-enable
	dh_installinit -p nordugrid-arc-infosys-ldap --name arc-infosys-ldap --no-enable
	dh_installinit -p nordugrid-arc-acix-scanner --name arc-acix-scanner --no-enable
	dh_installinit -p nordugrid-arc-acix-index --name arc-acix-index --no-enable

override_dh_installsystemd:
	dh_installsystemd -p nordugrid-arc-hed --name arched --no-enable
	dh_installsystemd -p nordugrid-arc-arex --name arc-arex --no-enable
	dh_installsystemd -p nordugrid-arc-datadelivery-service --name arc-datadelivery-service --no-enable
	dh_installsystemd -p nordugrid-arc-gridftpd --name arc-gridftpd --no-enable
	dh_installsystemd -p nordugrid-arc-infosys-ldap --name arc-infosys-ldap --no-enable
	dh_installsystemd -p nordugrid-arc-infosys-ldap --name arc-infosys-ldap-slapd --no-enable
	dh_installsystemd -p nordugrid-arc-acix-scanner --name arc-acix-scanner --no-enable
	dh_installsystemd -p nordugrid-arc-acix-index --name arc-acix-index --no-enable

override_dh_strip:
	dh_strip --dbgsym-migration='nordugrid-arc-dbg (<< 5.3.2)'

override_dh_fixperms:
	dh_fixperms -X /usr/bin/arc-job-cgroup
