## nordugrid-arc 6.7.0

=== debian/changelog ===
nordugrid-arc (6.7.0-1) unstable; urgency=medium

  * 6.7.0 Release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 03 Jul 2020 12:55:54 +0200

nordugrid-arc (6.6.0-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 11 May 2020 19:00:28 +0200

nordugrid-arc (6.6.0-1) unstable; urgency=medium

  * 6.6.0 Release
  * Drop patch nordugrid-arc-openssl-1.1.1f.patch (previously backported)
  * Drop patch nordugrid-arc-clean.patch (accepted upstream)
  * Split out package arcctl-service package from arcctl package
  * Split out plugins-python from main ARC python module pacakage

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 30 Apr 2020 19:35:51 +0200

nordugrid-arc (6.5.0-3) unstable; urgency=medium

  * Adapt to openssl 1.1.1f (Closes: #955649)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 16 Apr 2020 08:19:10 +0200

nordugrid-arc (6.5.0-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 09 Mar 2020 13:12:19 +0100

nordugrid-arc (6.5.0-1) unstable; urgency=medium

  * 6.5.0 Release
  * Put the arcctl tool in a separate nordugrid-arc-arcctl package
  * Add nordugrid-arc-community-rtes package (tech preview)
  * Split the nordugrid-arc-plugins-globus package into several packages
    - libarcglobusutils3
    - nordugrid-arc-plugins-gridftp
    - nordugrid-arc-plugins-lcas-lcmaps
    - nordugrid-arc-plugins-gridftpjob

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 19 Feb 2020 22:40:32 +0100
