=== debian/control ===
--- 
+++ 
@@ -32,10 +32,11 @@
  libldns-dev,
  libsystemd-dev [linux-any],
  libinline-python-perl (>= 0.56-2~),
+ bash-completion,
  python3-dev,
  python3-twisted,
  python3-openssl
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/ellert/nordugrid-arc
 Vcs-Git: https://salsa.debian.org/ellert/nordugrid-arc.git
 Homepage: http://www.nordugrid.org
@@ -96,8 +97,8 @@
  Connector (ARC).
  .
  This client package contains all the CLI tools that are needed to
- operate with x509 proxies, submit and manage jobs and handle
- datatransfers.
+ operate with x509 proxies, submit and manage jobs and handle data
+ transfers.
 
 Package: nordugrid-arc-hed
 Replaces:
@@ -109,8 +110,6 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libarccommon3v5 (= ${binary:Version})
-Recommends:
- python3-nordugrid-arc (= ${binary:Version})
 Description: ARC Hosting Environment Daemon
  NorduGrid is a collaboration aiming at development, maintenance and
  support of the middleware, known as the Advanced Resource
@@ -125,7 +124,8 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libarccommon3v5 (= ${binary:Version}),
- nordugrid-arc-plugins-globus (= ${binary:Version})
+ nordugrid-arc-plugins-gridftp (= ${binary:Version}),
+ nordugrid-arc-arcctl-service (= ${source:Version})
 Description: ARC GridFTP server
  NorduGrid is a collaboration aiming at development, maintenance and
  support of the middleware, known as the Advanced Resource
@@ -142,7 +142,8 @@
  ${misc:Depends},
  libarccommon3v5 (= ${binary:Version}),
  nordugrid-arc-hed (= ${binary:Version}),
- nordugrid-arc-plugins-needed (= ${binary:Version})
+ nordugrid-arc-plugins-needed (= ${binary:Version}),
+ nordugrid-arc-arcctl-service (= ${source:Version})
 Description: ARC data delivery service
  NorduGrid is a collaboration aiming at development, maintenance and
  support of the middleware, known as the Advanced Resource
@@ -168,7 +169,8 @@
  ${perl:Depends},
  slapd,
  glue-schema (>= 2.0.10),
- bdii
+ bdii,
+ nordugrid-arc-arcctl-service (= ${source:Version})
 Description: ARC LDAP-based information services
  NorduGrid is a collaboration aiming at development, maintenance and
  support of the middleware, known as the Advanced Resource
@@ -201,6 +203,49 @@
  web-based monitor which pulls information from the LDAP information
  system and visualizes it.
 
+Package: nordugrid-arc-arcctl
+Replaces:
+ libarccommon3v5 (<< 6.5.0~),
+ nordugrid-arc-arex (<< 6.5.0~)
+Breaks:
+ libarccommon3v5 (<< 6.5.0~),
+ nordugrid-arc-arex (<< 6.5.0~)
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ libarccommon3v5 (>= ${source:Version})
+Description: ARC Resource-coupled EXecution service
+ NorduGrid is a collaboration aiming at development, maintenance and
+ support of the middleware, known as the Advanced Resource
+ Connector (ARC).
+ .
+ This package contains the ARC Control Tool with basic set of control
+ modules suitable for both server and client side.
+
+Package: nordugrid-arc-arcctl-service
+Replaces:
+ libarccommon3v5 (<< 6.5.0~),
+ nordugrid-arc-arcctl (<< 6.6.0~),
+ nordugrid-arc-arex (<< 6.6.0~)
+Breaks:
+ libarccommon3v5 (<< 6.5.0~),
+ nordugrid-arc-arcctl (<< 6.6.0~),
+ nordugrid-arc-arex (<< 6.6.0~)
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ libarccommon3v5 (>= ${source:Version}),
+ nordugrid-arc-arcctl (= ${source:Version})
+Description: ARC Control Tool - service control modules
+ NorduGrid is a collaboration aiming at development, maintenance and
+ support of the middleware, known as the Advanced Resource
+ Connector (ARC).
+ .
+ This package contains the service control modules for ARC Contol Tool
+ that allow working with server-side config and manage ARC services.
+
 Package: nordugrid-arc-arex
 Provides:
  nordugrid-arc-cache-service,
@@ -208,12 +253,14 @@
 Replaces:
  nordugrid-arc-cache-service (<< 6.0.0~),
  nordugrid-arc-candypond (<< 6.0.0~),
- nordugrid-arc-aris (<< 6.0.0~)
+ nordugrid-arc-aris (<< 6.0.0~),
+ libarccommon3v5 (<< 6.5.0~)
 Conflicts:
  nordugrid-arc-cache-service (<< 6.0.0~),
  nordugrid-arc-candypond (<< 6.0.0~)
 Breaks:
- nordugrid-arc-aris (<< 6.0.0~)
+ nordugrid-arc-aris (<< 6.0.0~),
+ libarccommon3v5 (<< 6.5.0~)
 Architecture: any
 Depends:
  ${shlibs:Depends},
@@ -223,6 +270,7 @@
  libarccommon3v5 (= ${binary:Version}),
  nordugrid-arc-hed (= ${binary:Version}),
  nordugrid-arc-plugins-needed (= ${binary:Version}),
+ nordugrid-arc-arcctl-service (= ${source:Version}),
  libjson-xs-perl,
  libxml-simple-perl,
  python3-ldap,
@@ -237,7 +285,7 @@
  layer to manage computational tasks including interfacing to local
  batch systems, taking care of complex environments such as data
  staging, data caching, software environment provisioning, information
- collection and explosure, accounting information gathering and
+ collection and exposure, accounting information gathering and
  publishing.
 
 Package: nordugrid-arc-arex-python-lrms
@@ -261,6 +309,24 @@
  backend scripts written in Python. Currently only the SLURM LRMS is
  supported. It is released as a technology preview.
 
+Package: nordugrid-arc-community-rtes
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ nordugrid-arc-arex (>= ${source:Version}),
+ nordugrid-arc-arcctl (= ${source:Version}),
+ python3-dns
+Description: ARC Resource-coupled EXecution service - Python LRMS backends
+ NorduGrid is a collaboration aiming at development, maintenance and
+ support of the middleware, known as the Advanced Resource
+ Connector (ARC).
+ .
+ Community RTEs is the framework that allows deploying software packages
+ (tarballs, containers, etc) provided by trusted communities to ARC CE
+ using simple arcctl commands.
+ It is released as a technology preview.
+
 Package: nordugrid-arc-plugins-needed
 Architecture: any
 Depends:
@@ -276,116 +342,44 @@
  and Data Manager Components (DMCs).
 
 Package: nordugrid-arc-plugins-globus
-Replaces:
- nordugrid-arc-plugins-needed (<< 1.0.1-2~)
-Breaks:
- nordugrid-arc-plugins-needed (<< 1.0.1-2~)
+Architecture: all
+Section: oldlibs
+Depends:
+ ${misc:Depends},
+ nordugrid-arc-plugins-gridftp (>= ${source:Version}),
+ nordugrid-arc-plugins-gridftpjob (>= ${source:Version}),
+ nordugrid-arc-plugins-lcas-lcmaps (>= ${source:Version})
+Description: ARC Globus plugins (transitional package)
+ NorduGrid is a collaboration aiming at development, maintenance and
+ support of the middleware, known as the  Advanced Resource
+ Connector (ARC).
+ .
+ ARC Globus plugins. This compat metapackage brings all Globus dependent
+ plugins at once, including: Data Manager Components (DMCs), Client plugin
+ and LCAS/LCMAPS tools.
+ .
+ This is a transitional package. It is meant to allow smooth transition
+ and will be removed from the upcoming releases.
+
+Package: libarcglobusutils3
+Replaces:
+ nordugrid-arc-plugins-globus (<< 6.5.0~)
+Breaks:
+ nordugrid-arc-plugins-globus (<< 6.5.0~)
 Architecture: any
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
  libarccommon3v5 (= ${binary:Version})
-Description: ARC Globus plugins
- NorduGrid is a collaboration aiming at development, maintenance and
- support of the middleware, known as the Advanced Resource
- Connector (ARC).
- .
- ARC Globus plugins. This includes the Globus dependent Data Manager
- Components (DMCs).
-
-Package: nordugrid-arc-plugins-gfal
-Architecture: any
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
- libarccommon3v5 (= ${binary:Version}),
-Description: ARC GFAL2 plugins
- NorduGrid is a collaboration aiming at development, maintenance and
- support of the middleware, known as the Advanced Resource
- Connector (ARC).
- .
- ARC plugins for GFAL2. This allows third-party transfer and adds
- support for several extra transfer protocols (rfio, dcap, gsidcap).
- Support for specific protocols is provided by separate 3rd-party GFAL2
- plugin packages.
-
-Package: nordugrid-arc-plugins-internal
-Architecture: any
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
- libarccommon3v5 (= ${binary:Version}),
- nordugrid-arc-arex (= ${binary:Version})
-Description: ARC internal plugin
- NorduGrid is a collaboration aiming at development, maintenance and
- support of the middleware, known as the Advanced Resource
- Connector (ARC).
- .
- The ARC internal plugin. A special interface aimed for restrictive HPC
- sites, to be used with a local installation of the ARC Control Tower.
-
-Package: nordugrid-arc-plugins-arcrest
-Architecture: any
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
- libarccommon3v5 (= ${binary:Version}),
- nordugrid-arc-arex (= ${binary:Version})
-Description: ARC REST plugin
- NorduGrid is a collaboration aiming at development, maintenance and
- support of the middleware, known as the Advanced Resource
- Connector (ARC).
- .
- ARC plugin for ARC REST interface technology preview.
-
-Package: nordugrid-arc-acix-core
-Architecture: all
-Depends:
- ${misc:Depends},
- ${python3:Depends},
- python3-twisted,
- python3-openssl
-Description: ARC cache index - core components
- NorduGrid is a collaboration aiming at development, maintenance and
- support of the middleware, known as the Advanced Resource
- Connector (ARC).
- .
- Core components of the ARC Cache Index (ACIX).
-
-Package: nordugrid-arc-acix-scanner
-Provides:
- nordugrid-arc-acix-cache
-Replaces:
- nordugrid-arc-acix-cache (<< 6.0.0~)
-Conflicts:
- nordugrid-arc-acix-cache (<< 6.0.0~)
-Architecture: all
-Depends:
- ${misc:Depends},
- ${python3:Depends},
- libarccommon3v5 (>= ${source:Version}),
- nordugrid-arc-acix-core (= ${source:Version})
-Description: ARC cache index - scanner server
- NorduGrid is a collaboration aiming at development, maintenance and
- support of the middleware, known as the Advanced Resource
- Connector (ARC).
- .
- Cache scanner component of the ARC Cache Index (ACIX), usually
- installed alongside A-REX. This component collects information on the
- content of an A-REX cache.
-
-Package: nordugrid-arc-acix-index
-Architecture: all
-Depends:
- ${misc:Depends},
- ${python3:Depends},
- libarccommon3v5 (>= ${source:Version}),
- nordugrid-arc-acix-core (= ${source:Version})
-Description: ARC cache index - index server
- NorduGrid is a collaboration aiming at development, maintenance and
- support of the middleware, known as the Advanced Resource
- Connector (ARC).
- .
- Index server component of the ARC Cache Index (ACIX), usually
- installed independently of any A-REX installation. This component
- pulls cache content from ACIX cache scanner servers and can be queried
+Description: ARC Globus plugins common libraries
+ NorduGrid is a collaboration aiming at development, maintenance and
+ support of the middleware, known as the Advanced Resource
+ Connector (ARC).
+ .
+ ARC Globus plugins common libraries package includes the bundle of
+ necessary Globus libraries needed for all other globus-dependent ARC
+ components.
+
+Package: nordugrid-arc-plugins-gridftp
+Replaces:
+ nordugrid-arc-plugins-globus (<< 6.5.0~)
