## nordugrid-arc 6.8.1

=== debian/changelog ===
nordugrid-arc (6.8.1-1) unstable; urgency=medium

  * 6.8.1 Release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 12 Oct 2020 22:50:24 +0200

nordugrid-arc (6.8.0-1) unstable; urgency=medium

  * 6.8.0 Release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 08 Oct 2020 09:46:45 +0200
