## nordugrid-arc 6.9.0

=== debian/changelog ===
nordugrid-arc (6.9.0-3) unstable; urgency=medium

  * Try to fix Debian riscv64 build

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 06 Dec 2020 20:25:26 +0100

nordugrid-arc (6.9.0-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 06 Dec 2020 08:22:11 +0100

nordugrid-arc (6.9.0-1) unstable; urgency=medium

  * 6.9.0 Release
  * Add plugins-xrootd package (xrootd now available in Debian)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 04 Dec 2020 19:02:01 +0100
