=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
  libglobus-gssapi-gsi-dev,
  libglobus-ftp-client-dev,
  libglobus-ftp-control-dev,
+ libxrootd-client-dev,
  libgfal2-dev,
  openssl,
  swig,
@@ -36,7 +37,7 @@
  python3-dev,
  python3-twisted,
  python3-openssl
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/ellert/nordugrid-arc
 Vcs-Git: https://salsa.debian.org/ellert/nordugrid-arc.git
 Homepage: http://www.nordugrid.org
@@ -382,4 +383,3 @@
 
 Package: nordugrid-arc-plugins-gridftp
 Replaces:
- nordugrid-arc-plugins-globus (<< 6.5.0~)
