## nordugrid-arc 6.10.1

=== debian/changelog ===
nordugrid-arc (6.10.1-1) unstable; urgency=medium

  * 6.10.1 Release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 15 Feb 2021 09:08:35 +0100

nordugrid-arc (6.10.0-1) unstable; urgency=medium

  * 6.10.0 Release
  * Drop patch nordugrid-arc-Try-to-fix-Debian-riscv64-build.patch
    (accepted upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 10 Feb 2021 23:19:35 +0100
