## nordugrid-arc 6.10.2

=== debian/changelog ===
nordugrid-arc (6.10.2-1) unstable; urgency=medium

  * 6.10.2 Release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 24 Feb 2021 15:49:53 +0100
