=== debian/control ===
--- 
+++ 
@@ -368,6 +368,7 @@
 Breaks:
  nordugrid-arc-plugins-globus (<< 6.5.0~)
 Architecture: any
+Section: libs
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
