## nordugrid-arc 6.14.0

=== debian/changelog ===
nordugrid-arc (6.14.0-2) unstable; urgency=medium

  * Disable ACIX (Closes: #1005991)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 22 Feb 2022 16:51:07 +0100

nordugrid-arc (6.14.0-1) unstable; urgency=medium

  * 6.14.0 Release
  * Drop patch nordugrid-arc-openssl3.patch (accepted upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 04 Dec 2021 18:13:35 +0100

nordugrid-arc (6.13.0-1) unstable; urgency=medium

  * 6.13.0 Release
  * Fix compilation with OpenSSL 3.0

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 16 Sep 2021 10:27:09 +0200

nordugrid-arc (6.12.0-1) unstable; urgency=medium

  * 6.12.0 Release
  * Change to debhelper compat level 13
  * Remove override_dh_missing rule (--fail-missing is default)
  * Remove override_dh_strip rule (completed debug symbol migration)
  * Remove obsolete maintainer scripts

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 31 Aug 2021 12:58:55 +0200
