=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Uploaders: Anders Waananen <waananen@nbi.dk>
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 13),
  dh-python,
  libxml2-dev (>= 2.4.0),
  libssl-dev,
@@ -34,10 +34,8 @@
  libsystemd-dev [linux-any],
  libinline-python-perl (>= 0.56-2~),
  bash-completion,
- python3-dev,
- python3-twisted,
- python3-openssl
-Standards-Version: 4.5.1
+ python3-dev
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/ellert/nordugrid-arc
 Vcs-Git: https://salsa.debian.org/ellert/nordugrid-arc.git
 Homepage: http://www.nordugrid.org
@@ -59,7 +57,11 @@
  nordugrid-arc-arcproxyalt (<< 6.0.0~),
  nordugrid-arc-java (<< 6.0.0~),
  nordugrid-arc-egiis (<< 6.0.0~),
- nordugrid-arc-python (<< 6.0.0~)
+ nordugrid-arc-python (<< 6.0.0~),
+ nordugrid-arc-acix-cache (<< 6.0.0~),
+ nordugrid-arc-acix-core (<< 6.14.0-2~),
+ nordugrid-arc-acix-scanner (<< 6.14.0-2~),
+ nordugrid-arc-acix-index (<< 6.14.0-2~)
 Breaks:
  nordugrid-arc-hed (<< 1.0.1~rc2~),
  nordugrid-arc-arex (<< 2.0.1~),
@@ -107,6 +109,8 @@
 Breaks:
  nordugrid-arc-client (<< 1.0.1~rc2~)
 Architecture: any
+Pre-Depends:
+ ${misc:Pre-Depends}
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
@@ -121,6 +125,8 @@
 
 Package: nordugrid-arc-gridftpd
 Architecture: any
+Pre-Depends:
+ ${misc:Pre-Depends}
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
@@ -138,6 +144,8 @@
 
 Package: nordugrid-arc-datadelivery-service
 Architecture: any
+Pre-Depends:
+ ${misc:Pre-Depends}
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
@@ -165,6 +173,8 @@
  nordugrid-arc-aris (<< 6.0.0~),
  nordugrid-arc-ldap-egiis (<< 6.0.0~)
 Architecture: all
+Pre-Depends:
+ ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${perl:Depends},
@@ -216,7 +226,7 @@
  ${misc:Depends},
  ${python3:Depends},
  libarccommon3v5 (>= ${source:Version})
-Description: ARC Resource-coupled EXecution service
+Description: ARC Control Tool
  NorduGrid is a collaboration aiming at development, maintenance and
  support of the middleware, known as the Advanced Resource
  Connector (ARC).
@@ -263,6 +273,8 @@
  nordugrid-arc-aris (<< 6.0.0~),
  libarccommon3v5 (<< 6.5.0~)
 Architecture: any
+Pre-Depends:
+ ${misc:Pre-Depends}
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
@@ -318,7 +330,7 @@
  nordugrid-arc-arex (>= ${source:Version}),
  nordugrid-arc-arcctl (= ${source:Version}),
  python3-dns
-Description: ARC Resource-coupled EXecution service - Python LRMS backends
+Description: ARC community defined RTEs support
  NorduGrid is a collaboration aiming at development, maintenance and
  support of the middleware, known as the Advanced Resource
  Connector (ARC).
@@ -375,12 +387,3 @@
  libarccommon3v5 (= ${binary:Version})
 Description: ARC Globus plugins common libraries
  NorduGrid is a collaboration aiming at development, maintenance and
- support of the middleware, known as the Advanced Resource
- Connector (ARC).
- .
- ARC Globus plugins common libraries package includes the bundle of
- necessary Globus libraries needed for all other globus-dependent ARC
- components.
-
-Package: nordugrid-arc-plugins-gridftp
-Replaces:
