=== debian/rules ===
#!/usr/bin/make -f

# Filter out -Wl,-Bsymbolic-functions from default Ubuntu LDFLAGS
export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs

ifeq ($(DEB_HOST_ARCH_OS),linux)
SYSTEMD = yes
else
SYSTEMD = no
endif

%:
	dh $@ --with python3

override_dh_auto_configure:
	if [ ! -f po/POTFILES.in.save ] ; then \
	    cp -p po/POTFILES.in po/POTFILES.in.save ; \
	fi

	dh_auto_configure -- \
		    --disable-doc \
		    --libdir=/usr/lib \
		    --libexecdir=/usr/lib \
		    --docdir=/usr/share/doc/nordugrid-arc \
		    --disable-acix \
		    --enable-gfal \
		    --enable-internal \
		    --enable-systemd=$(SYSTEMD) \
		    --with-systemd-units-location=/usr/lib/systemd/system \
		    --with-sysv-scripts-location=/etc/init.d \
		    --with-python=python3

override_dh_auto_clean:
	dh_auto_clean

	if [ -f po/POTFILES.in.save ] ; then \
	    mv po/POTFILES.in.save po/POTFILES.in ; \
	fi

	find python src -depth -name __pycache__ -exec rm -rf {} ';'
	rm -rf src/services/a-rex/infoproviders/_Inline
	rm -rf src/services/a-rex/infoproviders/test/_Inline

override_dh_auto_install:
	dh_auto_install

	find debian/tmp -name \*.la -exec rm -fv '{}' ';'

	rm -f debian/tmp/usr/lib/arc/*.a

	rm -f debian/tmp/usr/lib/libarcglobusutils.so

	chmod 4755 debian/tmp/usr/bin/arc-job-cgroup

override_dh_installinit:
	dh_installinit -o -p nordugrid-arc-hed --name arched --no-enable
	dh_installinit -o -p nordugrid-arc-arex --name arc-arex --no-enable
	dh_installinit -o -p nordugrid-arc-arex --name arc-arex-ws --no-enable
	dh_installinit -o -p nordugrid-arc-datadelivery-service --name arc-datadelivery-service --no-enable
	dh_installinit -o -p nordugrid-arc-gridftpd --name arc-gridftpd --no-enable
	dh_installinit -o -p nordugrid-arc-infosys-ldap --name arc-infosys-ldap --no-enable

override_dh_installsystemd:
	dh_installsystemd -p nordugrid-arc-hed --name arched --no-enable
	dh_installsystemd -p nordugrid-arc-arex --name arc-arex --no-enable
	dh_installsystemd -p nordugrid-arc-arex --name arc-arex-ws --no-enable
	dh_installsystemd -p nordugrid-arc-datadelivery-service --name arc-datadelivery-service --no-enable
	dh_installsystemd -p nordugrid-arc-gridftpd --name arc-gridftpd --no-enable
	dh_installsystemd -p nordugrid-arc-infosys-ldap --name arc-infosys-ldap --no-enable
	dh_installsystemd -p nordugrid-arc-infosys-ldap --name arc-infosys-ldap-slapd --no-enable

override_dh_fixperms:
	dh_fixperms -X /usr/bin/arc-job-cgroup
