## nordugrid-arc 6.15.1

=== debian/changelog ===
nordugrid-arc (6.15.1-3) unstable; urgency=medium

  * Add missing include (Closes: #1016268)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 04 Aug 2022 19:38:23 +0200

nordugrid-arc (6.15.1-2) unstable; urgency=medium

  * Disable xmlsec support (Closes: #1006516)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 13 May 2022 14:06:00 +0200

nordugrid-arc (6.15.1-1) unstable; urgency=medium

  * 6.15.1 Release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 04 Apr 2022 16:28:17 +0200

nordugrid-arc (6.15.0-1) unstable; urgency=medium

  * 6.15.0 Release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 18 Mar 2022 09:43:06 +0100
