=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
  libcppunit-dev,
  pkg-config,
  libdb++-dev,
- libxmlsec1-dev (>= 1.2.4),
  libglobus-common-dev,
  libglobus-gssapi-gsi-dev,
  libglobus-ftp-client-dev,
@@ -329,7 +328,7 @@
  ${python3:Depends},
  nordugrid-arc-arex (>= ${source:Version}),
  nordugrid-arc-arcctl (= ${source:Version}),
- python3-dns
+ python3-dnspython
 Description: ARC community defined RTEs support
  NorduGrid is a collaboration aiming at development, maintenance and
  support of the middleware, known as the Advanced Resource
@@ -387,3 +386,4 @@
  libarccommon3v5 (= ${binary:Version})
 Description: ARC Globus plugins common libraries
  NorduGrid is a collaboration aiming at development, maintenance and
+ support of the middleware, known as the Advanced Resource
