=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 		    --libexecdir=/usr/lib \
 		    --docdir=/usr/share/doc/nordugrid-arc \
 		    --disable-acix \
+		    --disable-xmlsec1 \
 		    --enable-gfal \
 		    --enable-internal \
 		    --enable-systemd=$(SYSTEMD) \
@@ -73,3 +74,6 @@
 
 override_dh_fixperms:
 	dh_fixperms -X /usr/bin/arc-job-cgroup
+
+override_dh_compress:
+	dh_compress -X arc.conf.reference -X arc.conf.DELETED
