## nordugrid-arc 6.17.0

=== debian/changelog ===
nordugrid-arc (6.17.0-3) unstable; urgency=medium

  * Don't regenerate the bytecode that was removed by the autogenerated
    part of the prerm debhelper maintainer script in nordugrid-arc-arex

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 17 Feb 2023 19:19:50 +0100

nordugrid-arc (6.17.0-2) unstable; urgency=medium

  * Move systemd unit files back to /lib/systemd/system

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 15 Feb 2023 08:57:13 +0100

nordugrid-arc (6.17.0-1) unstable; urgency=medium

  * 6.17.0 Release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 24 Nov 2022 15:56:52 +0100

nordugrid-arc (6.16.1-1) unstable; urgency=medium

  * 6.16.1 Release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 23 Sep 2022 10:05:47 +0200

nordugrid-arc (6.16.0-1) unstable; urgency=medium

  * 6.16.0 Release
  * Drop patch adding missing include accepted upstream
  * Re-enable xmlsec (ARC now avoids SHA1 and tests succeed)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 03 Sep 2022 12:40:29 +0200
