=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
  libcppunit-dev,
  pkg-config,
  libdb++-dev,
+ libxmlsec1-dev (>= 1.2.4),
  libglobus-common-dev,
  libglobus-gssapi-gsi-dev,
  libglobus-ftp-client-dev,
@@ -34,7 +35,7 @@
  libinline-python-perl (>= 0.56-2~),
  bash-completion,
  python3-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/ellert/nordugrid-arc
 Vcs-Git: https://salsa.debian.org/ellert/nordugrid-arc.git
 Homepage: http://www.nordugrid.org
@@ -284,9 +285,7 @@
  nordugrid-arc-plugins-needed (= ${binary:Version}),
  nordugrid-arc-arcctl-service (= ${source:Version}),
  libjson-xs-perl,
- libxml-simple-perl,
- python3-ldap,
- python3-isodate
+ libxml-simple-perl
 Description: ARC Resource-coupled EXecution service
  NorduGrid is a collaboration aiming at development, maintenance and
  support of the middleware, known as the Advanced Resource
