=== debian/rules ===
--- 
+++ 
@@ -25,11 +25,10 @@
 		    --libexecdir=/usr/lib \
 		    --docdir=/usr/share/doc/nordugrid-arc \
 		    --disable-acix \
-		    --disable-xmlsec1 \
 		    --enable-gfal \
 		    --enable-internal \
 		    --enable-systemd=$(SYSTEMD) \
-		    --with-systemd-units-location=/usr/lib/systemd/system \
+		    --with-systemd-units-location=/lib/systemd/system \
 		    --with-sysv-scripts-location=/etc/init.d \
 		    --with-python=python3
